# Class SimpleSeriesRenderer

java.lang.Object
com.codename1.charts.renderers.SimpleSeriesRenderer

Direct Known Subclasses:
  `XYSeriesRenderer`

public class SimpleSeriesRenderer extends Object
A simple series renderer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleSeriesRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberFormat`
  `getChartValuesFormat()`
  Returns the number format for displaying chart values.
  `int`
  `getColor()`
  Returns the series color.
  `int`
  `getGradientStartColor()`
  Returns the gradient start color.
  `double`
  `getGradientStartValue()`
  Returns the gradient start value.
  `int`
  `getGradientStopColor()`
  Returns the gradient stop color.
  `double`
  `getGradientStopValue()`
  Returns the gradient stop value.
  `BasicStroke`
  `getStroke()`
  Returns the stroke style.
  `boolean`
  `isDisplayBoundingPoints()`
  Returns if the bounding points of the first and last visible ones should be displayed.
  `boolean`
  `isGradientEnabled()`
  Returns the gradient is enabled value.
  `boolean`
  `isHighlighted()`
  Returns if the item is displayed highlighted.
  `boolean`
  `isShowLegendItem()`
  Returns if the legend item for this renderer should be visible.
  `void`
  `setChartValuesFormat(NumberFormat format)`
  Sets the number format for displaying chart values.
  `void`
  `setColor(int color)`
  Sets the series color.
  `void`
  `setDisplayBoundingPoints(boolean display)`
  Sets if the bounding points of the first and last visible ones should be displayed.
  `void`
  `setGradientEnabled(boolean enabled)`
  Sets the gradient enabled value.
  `void`
  `setGradientStart(double start, int color)`
  Sets the gradient start value and color.
  `void`
  `setGradientStop(double start, int color)`
  Sets the gradient stop value and color.
  `void`
  `setHighlighted(boolean highlighted)`
  Sets if the item for this renderer should be highlighted.
  `void`
  `setShowLegendItem(boolean showLegend)`
  Sets if the legend item for this renderer should be visible.
  `void`
  `setStroke(BasicStroke stroke)`
  Sets the stroke style.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SimpleSeriesRenderer

    public SimpleSeriesRenderer()

- ## Method Details

  - ### getColor

    public int getColor()

    Returns the series color.

    ###### Returns

    the series color

  - ### setColor

    public void setColor(int color)

    Sets the series color.

    ###### Parameters

    - `color`: the series color

  - ### getStroke

    public BasicStroke getStroke()

    Returns the stroke style.

    ###### Returns

    the stroke style

  - ### setStroke

    public void setStroke(BasicStroke stroke)

    Sets the stroke style.

    ###### Parameters

    - `stroke`: the stroke style

  - ### isGradientEnabled

    public boolean isGradientEnabled()

    Returns the gradient is enabled value.

    ###### Returns

    the gradient enabled

  - ### setGradientEnabled

    public void setGradientEnabled(boolean enabled)

    Sets the gradient enabled value.

    ###### Parameters

    - `enabled`: the gradient enabled

  - ### getGradientStartValue

    public double getGradientStartValue()

    Returns the gradient start value.

    ###### Returns

    the gradient start value

  - ### getGradientStartColor

    public int getGradientStartColor()

    Returns the gradient start color.

    ###### Returns

    the gradient start color

  - ### setGradientStart

    public void setGradientStart(double start, int color)

    Sets the gradient start value and color.

    ###### Parameters

    - `start`: the gradient start value

    - `color`: the gradient start color

  - ### getGradientStopValue

    public double getGradientStopValue()

    Returns the gradient stop value.

    ###### Returns

    the gradient stop value

  - ### getGradientStopColor

    public int getGradientStopColor()

    Returns the gradient stop color.

    ###### Returns

    the gradient stop color

  - ### setGradientStop

    public void setGradientStop(double start, int color)

    Sets the gradient stop value and color.

    ###### Parameters

    - `start`: the gradient stop value

    - `color`: the gradient stop color

  - ### isShowLegendItem

    public boolean isShowLegendItem()

    Returns if the legend item for this renderer should be visible.

    ###### Returns

    the visibility flag for the legend item for this renderer

  - ### setShowLegendItem

    public void setShowLegendItem(boolean showLegend)

    Sets if the legend item for this renderer should be visible.

    ###### Parameters

    - `showLegend`: the visibility flag for the legend item for this renderer

  - ### isHighlighted

    public boolean isHighlighted()

    Returns if the item is displayed highlighted.

    ###### Returns

    the highlighted flag for the item for this renderer

  - ### setHighlighted

    public void setHighlighted(boolean highlighted)

    Sets if the item for this renderer should be highlighted. Pie chart is supported for now.

    ###### Parameters

    - `highlighted`: the highlighted flag for the item for this renderer

  - ### isDisplayBoundingPoints

    public boolean isDisplayBoundingPoints()

    Returns if the bounding points of the first and last visible ones should be displayed.

    ###### Returns

    the bounding points display

  - ### setDisplayBoundingPoints

    public void setDisplayBoundingPoints(boolean display)

    Sets if the bounding points of the first and last visible ones should be displayed.

    ###### Parameters

    - `display`: the bounding points display

  - ### getChartValuesFormat

    public NumberFormat getChartValuesFormat()

    Returns the number format for displaying chart values.

    ###### Returns

    the number format for chart values

  - ### setChartValuesFormat

    public void setChartValuesFormat(NumberFormat format)

    Sets the number format for displaying chart values.

    ###### Parameters

    - `format`: the number format for chart values